--
-- coup
--
-- Copyright (c) 2014-2016, rnlf
--
-- This library is free software; you can redistribute it and/or modify it
-- under the terms of the MIT license. See LICENSE for details.
--

local function make(x, y, r, sx, sy)
  return {
    pos = coup.vector.Vector(x, y),
    rot = r or 0,
    scale = coup.vector.Vector(sx or 1, sy or 1)
  }
end


local function newTransforms()
  return coup.components.ComponentStore(make)
end

return newTransforms
